Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.joinpoint.impl
Class CatchClauseRttiImpl

    java.lang.Object
      org.codehaus.aspectwerkz.joinpoint.impl.CatchClauseRttiImpl

All Implemented Interfaces:
  CatchClauseRtti, Rtti

    public class CatchClauseRttiImpl

extends Object
implements CatchClauseRtti

Implementation for the catch clause RTTI.

Author:
  Jonas Bonr

Constructor Summary
`CatchClauseRttiImpl(CatchClauseSignatureImpl signature, Object thisInstance, Object targetInstance)` Creates a new catch clause RTTI.

Method Summary
`Rtti` | `cloneFor(Object thisInstance, Object targetInstance)` Clones the RTTI instance.
`Class` | `getDeclaringType()` Returns the declaring class.
`int` | `getModifiers()` Returns the modifiers for the signature.
`String` | `getName()` Returns the name (f.e. name of method of field).
`Class` | `getParameterType()` Returns the parameter type.
`Object` | `getParameterValue()` Returns the value of the parameter.
`Object` | `getTarget()` Returns the target instance.
`Object` | `getThis()` Returns the instance currently executing.
`String` | `toString()` Returns a string representation of the signature.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CatchClauseRttiImpl

    public CatchClauseRttiImpl(CatchClauseSignatureImpl signature,
                               Object thisInstance,
                               Object targetInstance)

  Creates a new catch clause RTTI.

  Parameters:
    `signature` -
    `thisInstance` -
    `targetInstance` -

Method Detail

### cloneFor

    public Rtti cloneFor(Object thisInstance,
                         Object targetInstance)

  Clones the RTTI instance.

  Specified by:
    `cloneFor` in interface `Rtti`
  Parameters:
    `thisInstance` -
    `targetInstance` -
  Returns:

### getThis

    public Object getThis()

  Returns the instance currently executing.

  Specified by:
    `getThis` in interface `Rtti`
  Returns:
    the instance currently executing

### getTarget

    public Object getTarget()

  Returns the target instance.

  Specified by:
    `getTarget` in interface `Rtti`
  Returns:
    the target instance

### getDeclaringType

    public Class getDeclaringType()

  Returns the declaring class.

  Specified by:
    `getDeclaringType` in interface `Rtti`
  Returns:
    the declaring class

### getModifiers

    public int getModifiers()

  Returns the modifiers for the signature.

  Could be used like this:

       boolean isPublic = java.lang.reflect.Modifier.isPublic(signature.getModifiers());

  Specified by:
    `getModifiers` in interface `Rtti`
  Returns:
    the mofifiers

### getName

    public String getName()

  Returns the name (f.e. name of method of field).

  Specified by:
    `getName` in interface `Rtti`
  Returns:

### getParameterType

    public Class getParameterType()

  Returns the parameter type.

  Specified by:
    `getParameterType` in interface `CatchClauseRtti`
  Returns:
    the parameter type

### getParameterValue

    public Object getParameterValue()

  Returns the value of the parameter.

  Specified by:
    `getParameterValue` in interface `CatchClauseRtti`
  Returns:
    the value of the parameter

### toString

    public String toString()

  Returns a string representation of the signature.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.